i2o_pci_interrupt
Prev | I2O message devices | Next

## Name

i2o_pci_interrupt — Interrupt handler for I2O controller

## Synopsis

`irqreturn_t i2o_pci_interrupt (` | int | irq,
| void * | dev_id`)`;

## Arguments

`irq`

  interrupt line

`dev_id`

  pointer to the I2O controller

## Description

Handle an interrupt from a PCI based I2O controller. This turns out to be rather simple. We keep the controller pointer in the cookie.

Prev | Up | Next
i2o_pci_alloc | Home | i2o_pci_irq_enable